summaryrefslogtreecommitdiffstats
path: root/xci/xci-deploy.sh
diff options
context:
space:
mode:
authorPeriyasamy Palanisamy <periyasamy.palanisamy@ericsson.com>2018-01-25 17:44:06 +0100
committerPeriyasamy Palanisamy <periyasamy.palanisamy@ericsson.com>2018-01-26 10:44:00 +0100
commitc2de083b7a7c746cb49228f02b0e11d7b2419126 (patch)
treeee3d59c8fc731dc978817eaeac776caf5863144a /xci/xci-deploy.sh
parent9f585b8d5eb8bffcb2040ef97ec8300c1af10d1f (diff)
correct the lookup logic for scenario's xci_overrides
Previously xci-deploy.sh looks up the xci_overrides files under $XCI_SCENARIOS_CACHE/${DEPLOY_SCENARIO} directory, but actually xci_overrides file resides somewhere in the nested directory level in both inband/outband scenarios. Hence the fix is done by using the find command. Change-Id: Icb507471e368f56290ef91d555673830b598e204 Signed-off-by: Periyasamy Palanisamy <periyasamy.palanisamy@ericsson.com>
Diffstat (limited to 'xci/xci-deploy.sh')
-rwxr-xr-xxci/xci-deploy.sh4
1 files changed, 1 insertions, 3 deletions
diff --git a/xci/xci-deploy.sh b/xci/xci-deploy.sh
index c1f14b75..f8980a85 100755
--- a/xci/xci-deploy.sh
+++ b/xci/xci-deploy.sh
@@ -136,9 +136,7 @@ echo "-------------------------------------------------------------------------"
#-------------------------------------------------------------------------------
# Get scenario variables overrides
#-------------------------------------------------------------------------------
-if [[ -f $XCI_SCENARIOS_CACHE/${DEPLOY_SCENARIO:-_no_scenario_}/xci_overrides ]]; then
- source $XCI_SCENARIOS_CACHE/$DEPLOY_SCENARIO/xci_overrides
-fi
+source $(find $XCI_SCENARIOS_CACHE/${DEPLOY_SCENARIO} -name xci_overrides) &>/dev/null || :
#-------------------------------------------------------------------------------
# Start provisioning VM nodes